Pbx Voicemails
Alle Operationen rund um Pbx Voicemails.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| PBX Voicemail Message | pbx_voicemail |
10 | — | pbx_voicemail_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/pbx_voicemails |
Create pbx_voicemail | Create a new pbx_voicemail in the active tenant. |
DELETE |
/v1/pbx_voicemails/{id} |
Delete pbx_voicemail | Soft delete entity. |
GET |
/v1/pbx_voicemails/{id} |
Get pbx_voicemail by id | Fetch a single pbx_voicemail. |
GET |
/v1/pbx_voicemails/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/pbx_voicemails/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/pbx_voicemails/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/pbx_voicemails |
List pbx_voicemails | List pbx_voicemails for the active tenant. |
PATCH |
/v1/pbx_voicemails/{id} |
Patch pbx_voicemail | JSON Merge Patch update. |
POST |
/v1/pbx_voicemails/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/pbx_voicemails/{id}/transition |
POST /v1/pbx_voicemails/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/pbx_voicemails/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/pbx_voicemails/{id} |
Replace pbx_voicemail | Full replace with optimistic locking. |